package de.hampelratte.yaggui;

import java.util.Vector;

public class Command extends Subcommand {
    private static Logger logger = Logger.getLogger();

    private String[] subcmds = { "META {", "SOURCE {" };

    private String cmdline = "";

    private Vector subcommands = new Vector();

    public Command(String cmdline) {
        this.cmdline = cmdline;
        extractSubCommands();
        parseCmdline(this.cmdline);
    }

    private void extractSubCommands() {
        for (int i = 0; i < subcmds.length; i++) {
            String subcmd = subcmds[i];
            int start = -1;
            while ((start = cmdline.indexOf(subcmd)) >= 0) {
                int stop = cmdline.indexOf("}", start);
                while (cmdline.charAt(stop - 1) == '\\') {
                    stop = cmdline.indexOf("}", stop + 1);
                }
                StringBuffer sb = new StringBuffer(cmdline);
                Subcommand s = new Subcommand(cmdline
                        .substring(start, stop + 1));
                subcommands.add(s);
                sb.delete(start, stop + 1);
                cmdline = sb.toString();
            }
        }
    }

    public Vector getSubCmds() {
        return subcommands;
    }
}