package de.hampelratte.yaggui.gui;

import java.awt.Component;

import javax.swing.JProgressBar;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.table.TableCellRenderer;

public class DownloadTableRenderer extends JProgressBar implements
        TableCellRenderer {
    public DownloadTableRenderer() {
        super(SwingConstants.HORIZONTAL);
        this.setMinimum(0);
        this.setMaximum(100);
        this.setStringPainted(true);
    }

    public Component getTableCellRendererComponent(JTable table, Object value,
            boolean isSelected, boolean hasFocus, int row, int column) {
        if (value == null) {
            return this;
        } else if (value instanceof Integer) {
            setValue(((Integer) value).intValue());
            setString(((Integer) value).toString() + "%");
        } else {
            setValue(0);
        }
        return this;
    }
}