package de.hampelratte.yaggui.gui.sortabletable;

import java.util.Comparator;
import java.util.Vector;

public class RowComparator implements Comparator {

    private int col;

    private boolean dir;

    public RowComparator(int col, boolean dir) {
        this.col = col;
        this.dir = dir;
    }

    public int compare(Object v1, Object v2) {
        Object o1 = ((Vector) v1).elementAt(col);
        Object o2 = ((Vector) v2).elementAt(col);

        int result = 0;
        if (dir == SortableTable.ASCENDING) {
            result = TableSorter.compare(o1, o2);
        } else {
            result = TableSorter.compare(o2, o1);
        }
        return result;
    }

    public boolean equals(Object obj) {
        return false;
    }
}